import { getUrlTemplates } from "../config";
import { combineUrls } from "../utils";
import { TuitioClient } from "../client";

test("Combine urls with trailing slash", () => {
  const result = combineUrls("https://test.com/api/", "/test");
  expect(result).toBe("https://test.com/api/test");
});

test("Combine urls without trailing slash", () => {
  const result = combineUrls("https://test.com/api", "/test");
  expect(result).toBe("https://test.com/api/test");
});

test("Get url templates", () => {
  const result = getUrlTemplates("https://test.com/api");
  expect(result).toHaveProperty("authentication");
  expect(result.authentication).toContain("https://test.com/api");
  expect(result.authentication).toContain("{username}");
  expect(result.authentication).toContain("{password}");
});

test("Tuitio client initialization", () => {
  const result = new TuitioClient("https://test.com/api");
  expect(result.baseUrl).toBe("https://test.com/api");
});
